# Interface: ProjectGraphProjectNode

A node describing a project in a workspace

## Table of contents

### Properties

- [data](../../devkit/documents/ProjectGraphProjectNode#data): ProjectConfiguration &amp; Object
- [name](../../devkit/documents/ProjectGraphProjectNode#name): string
- [type](../../devkit/documents/ProjectGraphProjectNode#type): &quot;app&quot; | &quot;e2e&quot; | &quot;lib&quot;

## Properties

### data

• **data**: [`ProjectConfiguration`](../../devkit/documents/ProjectConfiguration) & { `description?`: `string` }

Additional metadata about a project

---

### name

• **name**: `string`

---

### type

• **type**: `"app"` \| `"e2e"` \| `"lib"`
